# tlaternet-templates

Website templates bundled with parcel.

## Updating

Firstly, updating the npm dependencies needs:

```sh
npm update --package-lock-only
```

After that, the NixOS derivations can be updated by running
`generate.sh` in the `nix` subdirectory.

### Note

[Sharp](https://github.com/lovell/sharp/releases) is gloriously hard
to install, because it depends on the most cutting-edge patch version
of `vips`.

Check which version it needs in the `package.json` of sharp, and then
match this up which major sharp version matches up to which OS version
of vips.

Known versions:

| Sharp | vips       | NixOS |
| ----: | ---------: | ----: |
| 28.*  | 8.10.6     |       |
| 27.*  | 8.10.5     | 21.05 |
| 26.*  | 8.10.0     | 20.09 |
